Summary:	Advanced Linux download manager
Name:		prozilla
Version:	1.3.7.4
Release:	2%{?dist}

License:	GPL
Group:		Applications/Internet
Source0:	http://prozilla.genesys.ro/downloads/prozilla/tarballs/%{name}-%{version}.tar.gz
Patch0:		prozilla-1.3.7.4-buf.patch
URL:		http://prozilla.genesys.ro/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	ncurses-devel


%description
ProZilla is a download accellerator program written for Linux to speed
up the normal file download process. It often gives speed increases of
around 200% to 300%. It supports both FTP and HTTP protocols, and the
theory behind it is very simple.

The program opens multiple connections to a server, and each of the
connections downloads a part of the file, thus defeating existing
internet congestion prevention methods which slow down a single
connection based download.

ProZilla also supports file download resuming, and ftpsearch for
fastest ping times.

%prep
%setup -q
%patch0 -p1 -z .buf
%configure

%build
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc ANNOUNCE AUTHORS ChangeLog COPYING CREDITS FAQ NEWS README TODO
%config(noreplace) %verify(not size mtime md5) /etc/prozilla.conf
%config(noreplace) %verify(not size mtime md5) /etc/prozilla.conf-sample
%{_bindir}/proz
%{_mandir}/man1/proz*

%changelog
* Fri Jan 20 2006 Hans de Goede <j.w.r.degoede@hhs.nl>
- Fix CAN-2005-2961 / bugzilla 169791

* Fri Sep 09 2005 Ralf Corsepius <rc040203@freenet.de>
- %%{_bindir}/proz.

* Thu Aug 25 2005 Warren Togami <wtogami@redhat.com> - 0:1.3.7.4-1
- 1.3.7.4 Security (#166789)

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Wed Feb  2 2005 Dams <anvil[AT]livna.org> - 0:1.3.7.3-1
- Updated to 1.3.7.3
- Misc cleanups

* Tue Apr  1 2003 Dams <anvil[AT]livna.org> 0:1.3.6-0.fdr.1
- Modified Spec according to fedora template/guidelines.
- Added BuildRequires tag.

* Mon Aug 17 2001 Ralph Slooten <axllent@axllent.cjb.net>
- Prozilla 1.3.6 Released

* Sat Mar 31 2001 Ralph Slooten <axllent@axllent.cjb.net>
- Prozilla 1.3.4 Released
- Improvements in Prozilla (fixes)
- Download screen now shows actual rate and average rate

* Tue Mar 06 2001 Kalum / Grendel<kalum@lintux.cx>
- Prozilla 1.3.3.2 released
- Added several backup ftpsearch servers to fall back, if the main one
  fails
- Added prozilla.spec and modified the Makefile.am, to make rpms if
  necessary.

* Sun Mar 04 2001 Ralph Slooten <axllent@axllent.cjb.net>
- Prozilla 1.3.3.1 released
- ncurses display fixed to show no blank spaces

* Fri Mar 02 2001 Ralph Slooten <axllent@axllent.cjb.net>
- Development ProZilla 1.3.3 released
- Fixed ftp search URL
- Fixed Makefile.in problem fixed
- Spec file changed to suite /etc dir
- Spec file updated using definitions

* Sun Feb 18 2001 Ralph Slooten <axllent@axllent.cjb.net>
- ProZilla version 1.3.2 released
- Global preferences files added in /ect file
- Spec file changed to suite config file needs
- Makefile.in changed to suite RPM's needs... Needs to be fixed!

* Tue Feb 6 2001 Ralph Slooten <axllent@axllent.cjb.net>
- ProZilla version 1.3.1 released
- New FTP search function implemented into Prozilla
- proz manpage symlinked to prozilla man page
- gproz falls out due to drastic changes in Prozilla
- CHANGES file dropped due to existing Changelog
- Rpm spec file changes to suite Prozilla

* Fri Jan 25 2001 Ralph Slooten <axllent@axllent.cjb.net>
- Tweaked up the RPM spec file

* Mon Jan 22 2001 Ralph Slooten <axllent@axllent.cjb.net>
- man proz added, instead of just prozilla
- Server tweaking and changes (Read CHANGES)

* Wed Jan 3 2001 Calum Selkirk <cselkirk@sophix.uklinux.net>
- added RPM_BUILD_ROOT and install to that dir
- added RPM_OPT_FLAGS
- changed Source0: to use %version
